import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class DateSelector extends StatefulWidget {
  final String title;
  final DateTime date;
  final Function onChanged;

  DateSelector(
      {required this.date, required this.onChanged, required this.title});

  @override
  _DateSelectorState createState() => _DateSelectorState();
}

class _DateSelectorState extends State<DateSelector> {
  void handlePressed() {
    showDatePicker(
      context: context,
      initialDate: widget.date,
      firstDate: DateTime(2020),
      lastDate: DateTime(2045),
    ).then((value) {
      if (value == null) return;
      widget.onChanged(value);
    });
  }

  String getFormatedDate() {
    return DateFormat('yMd').format(widget.date);
  }

  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sh = queryData.size.height;

    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(widget.title,
            style: TextStyle(color: Color(0XFFBEBEBE), fontSize: 18)),
        SizedBox(height: sh * 0.01),
        TextButton(
            onPressed: handlePressed,
            child: Container(
                width: 90,
                child: Row(children: [
                  Text(getFormatedDate(),
                      style: TextStyle(color: Color(0XFFBEBEBE), fontSize: 14)),
                  Spacer(),
                  Icon(Icons.calendar_today, color: Color(0XFFBEBEBE), size: 14)
                ])),
            style: ButtonStyle(
                backgroundColor: MaterialStateProperty.resolveWith<Color>(
                    (Set<MaterialState> states) {
                  return Colors.transparent;
                }),
                shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                    RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(10.0),
                        side: BorderSide.none)))),
      ],
    );
  }
}
