import 'package:flutter/material.dart';

class DeleteDialog extends StatefulWidget {
  final String targetName;
  final Function onConfirm;
  DeleteDialog({required this.targetName, required this.onConfirm});

  @override
  _DeleteDialogState createState() => _DeleteDialogState();
}

class _DeleteDialogState extends State<DeleteDialog> {
  void handleOnConfirm() {
    widget.onConfirm();
    Navigator.of(context).pop();
  }

  @override
  Widget build(BuildContext context) {
    // MediaQueryData queryData = MediaQuery.of(context);
    // double sW = queryData.size.width;

    return AlertDialog(
      backgroundColor: Color(0XFFFFFFFF),
      title: Text(
        'Delete ${widget.targetName}',
        style: TextStyle(color: Colors.black),
      ),
      content: Text('This action cannot be undone.',
          style: TextStyle(color: Colors.black)),
      actions: [
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: InkWell(
              onTap: () => Navigator.of(context).pop(),
              child:
                  Text('CANCEL', style: TextStyle(color: Color(0XFFB71C1C)))),
        ),
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: InkWell(
              onTap: () => handleOnConfirm(),
              child:
                  Text('DELETE', style: TextStyle(color: Color(0XFFB71C1C)))),
        ),
      ],
      elevation: 24,
    );
  }
}
