import 'package:flutter/material.dart';

class NameTextfield extends StatefulWidget {
  final TextEditingController controller;
  final String placeholder;

  NameTextfield({required this.controller, this.placeholder = 'Name'});

  @override
  _NameTextfieldState createState() => _NameTextfieldState();
}

class _NameTextfieldState extends State<NameTextfield> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sh = queryData.size.height;

    return TextField(
      controller: widget.controller,
      style: TextStyle(color: Colors.white, fontSize: sh * 0.04),
      decoration: InputDecoration(
        suffixIcon: Icon(Icons.edit, color: Colors.white),
        hintText: widget.placeholder,
        hintStyle: TextStyle(
          color: Color(0XFFBEBEBE),
        ),
        border: InputBorder.none,
        focusedBorder: InputBorder.none,
        enabledBorder: InputBorder.none,
        errorBorder: InputBorder.none,
        disabledBorder: InputBorder.none,
      ),
    );
  }
}
