import 'package:flutter/material.dart';

class PassTextfield extends StatefulWidget {
  final TextEditingController controller;

  PassTextfield({required this.controller});

  @override
  _PassTextfieldState createState() => _PassTextfieldState();
}

class _PassTextfieldState extends State<PassTextfield> {
  bool passwordVisible = false;

  void togglePasswordVisibility() {
    this.setState(() {
      passwordVisible = !passwordVisible;
    });
  }

  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sh = queryData.size.height;

    return Row(
      children: [
        Expanded(
          child: TextField(
            controller: widget.controller,
            obscureText: !passwordVisible,
            style: TextStyle(color: Color(0XFFBEBEBE), fontSize: sh * 0.018),
            decoration: InputDecoration(
                suffixIcon: Icon(Icons.lock,
                    color: Color(0XFFB4B4B4), size: sh * 0.023),
                enabledBorder: UnderlineInputBorder(
                  borderSide: BorderSide(color: Color(0XFFB4B4B4)),
                ),
                focusedBorder: UnderlineInputBorder(
                  borderSide: BorderSide(color: Color(0XFFB4B4B4)),
                ),
                border: UnderlineInputBorder(
                  borderSide: BorderSide(color: Color(0XFFB4B4B4)),
                ),
                hintText: 'Password',
                hintStyle: TextStyle(
                  color: Color(0XFFB4B4B4),
                )),
          ),
        ),
        SizedBox(width: 20),
        /*
        TextButton(
            onPressed: togglePasswordVisibility,
            child: Text('Afficher le mot de passe',
                style: TextStyle(fontSize: sh * 0.018)))
        */
      ],
    );
  }
}
