import 'package:flutter/material.dart';

class Selector extends StatefulWidget {
  final String? value;
  final List<String> values;
  final Function onChanged;

  Selector(
      {required this.value, required this.values, required this.onChanged});

  @override
  _SelectorState createState() => _SelectorState();
}

class _SelectorState extends State<Selector> {
  @override
  Widget build(BuildContext context) {
    List<String> values = widget.values;

    if (values.length > 0 && values[0] != '') {
      values.insert(0, '');
    }

    return DropdownButton<String>(
      value: widget.value ?? '',
      icon: const Icon(Icons.arrow_drop_down),
      iconSize: 24,
      elevation: 16,
      style: const TextStyle(color: Color(0XFFBEBEBE)),
      underline: Container(height: 2, color: Color(0XFFBEBEBE)),
      onChanged: (String? newValue) => widget.onChanged(newValue),
      items: widget.values.map<DropdownMenuItem<String>>((String value) {
        return DropdownMenuItem<String>(
          value: value,
          child: Text(value),
        );
      }).toList(),
    );
  }
}
