import 'package:flutter/material.dart';

class TabButton extends StatefulWidget {
  final String title;
  final bool selected;
  final Function onPressed;

  TabButton(
      {required this.title, required this.selected, required this.onPressed});

  @override
  _TabButtonState createState() => _TabButtonState();
}

class _TabButtonState extends State<TabButton> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
            decoration: BoxDecoration(
              border: Border(
                bottom: BorderSide(
                    color: widget.selected
                        ? Theme.of(context).primaryColor
                        : Colors.transparent),
              ),
            ),
            child: Padding(
              padding: EdgeInsets.only(bottom: 8.0),
              child: TextButton(
                onPressed: () => widget.onPressed(),
                child: Text(widget.title),
                style: TextButton.styleFrom(
                  primary: widget.selected
                      ? Theme.of(context).primaryColor
                      : Color(0XFFB4B4B4),
                ),
              ),
            ))
      ],
    );
  }
}
