import 'package:flutter/material.dart';

class TimeSelector extends StatefulWidget {
  final String title;
  final TimeOfDay time;
  final Function onChanged;

  TimeSelector(
      {required this.time, required this.onChanged, required this.title});

  @override
  _TimeSelectorState createState() => _TimeSelectorState();
}

class _TimeSelectorState extends State<TimeSelector> {
  void handlePressed() {
    showTimePicker(
      context: context,
      initialTime: widget.time,
    ).then((value) {
      if (value == null) return;
      widget.onChanged(value);
    });
  }

  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sh = queryData.size.height;

    return Column(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(widget.title,
            style: TextStyle(color: Color(0XFFBEBEBE), fontSize: 18)),
        SizedBox(height: sh * 0.01),
        TextButton(
            onPressed: handlePressed,
            child: Container(
                width: 90,
                child: Row(children: [
                  Text(widget.time.format(context),
                      style: TextStyle(color: Color(0XFFBEBEBE), fontSize: 14)),
                  Spacer(),
                  Icon(Icons.calendar_today, color: Color(0XFFBEBEBE), size: 14)
                ])),
            style: ButtonStyle(
                backgroundColor: MaterialStateProperty.resolveWith<Color>(
                    (Set<MaterialState> states) {
                  return Colors.transparent;
                }),
                shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                    RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(10.0),
                        side: BorderSide.none)))),
      ],
    );
  }
}
