import 'package:flutter/material.dart';

class UserTextfield extends StatefulWidget {
  final TextEditingController controller;
  final String? placeHolder;

  UserTextfield({required this.controller, this.placeHolder});

  @override
  _UserTextfieldState createState() => _UserTextfieldState();
}

class _UserTextfieldState extends State<UserTextfield> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sh = queryData.size.height;

    return TextField(
      controller: widget.controller,
      style: TextStyle(color: Color(0XFFBEBEBE), fontSize: sh * 0.018),
      decoration: InputDecoration(
          suffixIcon: Icon(Icons.account_circle,
              color: Color(0XFFB4B4B4), size: sh * 0.023),
          enabledBorder: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0XFFB4B4B4)),
          ),
          focusedBorder: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0XFFB4B4B4)),
          ),
          border: UnderlineInputBorder(
            borderSide: BorderSide(color: Color(0XFFB4B4B4)),
          ),
          hintText: widget.placeHolder ?? 'User',
          hintStyle: TextStyle(
            color: Color(0XFFB4B4B4),
          )),
    );
  }
}
