import 'package:flutter/material.dart';

class Accordion extends StatefulWidget {
  final String title;
  final String? subtitle;
  final String text;
  Accordion({required this.title, this.subtitle, required this.text});

  @override
  _AccordionState createState() => _AccordionState();
}

class _AccordionState extends State<Accordion> {
  bool opened = false;

  handlePress() {
    setState(() {
      opened = !opened;
    });
  }

  Widget getText() {
    MediaQueryData queryData = MediaQuery.of(context);
    double sW = queryData.size.width;
    double sH = queryData.size.height;

    if (!opened) return (Container());

    return (Padding(
        padding: EdgeInsets.only(
            left: sW * 0.06,
            right: sW * 0.06,
            top: sH * 0.03,
            bottom: sH * 0.03),
        child: Text(widget.text,
            style: TextStyle(
                fontSize: sW * 0.04, color: Colors.white.withOpacity(0.5)))));
  }

  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sW = queryData.size.width;
    double sH = queryData.size.height;

    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        ElevatedButton(
            style: ButtonStyle(backgroundColor:
                MaterialStateProperty.resolveWith<Color>(
                    (Set<MaterialState> states) {
              return Color(0XFFB4B4B4).withOpacity(0.1);
            }), shadowColor: MaterialStateProperty.resolveWith<Color>(
                (Set<MaterialState> states) {
              return Colors.transparent;
            })),
            onPressed: () => handlePress(),
            child: Container(
                width: sW * 0.94,
                child: Padding(
                    padding: EdgeInsets.only(
                        left: sW * 0.06,
                        right: sW * 0.06,
                        top: sH * 0.03,
                        bottom: sH * 0.03),
                    child: Row(children: [
                      Column(
                        mainAxisSize: MainAxisSize.min,
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Text(widget.title,
                              style: TextStyle(
                                  fontSize: sW * 0.04,
                                  color: Colors.white.withOpacity(0.5))),
                          Text(widget.subtitle != null ? widget.subtitle! : '',
                              style: TextStyle(
                                  fontSize:
                                      widget.subtitle != null ? sW * 0.025 : 0,
                                  color: Colors.white.withOpacity(0.5)))
                        ],
                      ),
                      Spacer(),
                      Icon(
                          opened
                              ? Icons.keyboard_arrow_down
                              : Icons.keyboard_arrow_right,
                          color: Colors.white,
                          size: sW * 0.06)
                    ])))),
        getText()
      ],
    );
  }
}
