import 'package:flutter/material.dart';

class BottomButton extends StatefulWidget {
  final Function onPressed;
  final String title;
  final bool disabled;
  BottomButton(
      {required this.onPressed, required this.title, this.disabled = false});

  @override
  _BottomButtonState createState() => _BottomButtonState();
}

class _BottomButtonState extends State<BottomButton> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    final double buttonFontSize = queryData.size.width / 100 * 6;
    final double buttonTextPadding = queryData.size.height / 100 * 1.5;

    return SizedBox(
      width: double.infinity,
      child: ElevatedButton(
        onPressed: widget.disabled == true ? null : () => widget.onPressed(),
        style: ButtonStyle(
            backgroundColor: MaterialStateProperty.resolveWith<Color>(
              (Set<MaterialState> states) {
                return Theme.of(context)
                    .primaryColor
                    .withOpacity(widget.disabled == true ? 0.4 : 1);
              },
            ),
            shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(10.0),
                    side: BorderSide.none))),
        child: Padding(
          padding: EdgeInsets.only(
              top: buttonTextPadding, bottom: buttonTextPadding),
          child: Text(widget.title, style: TextStyle(fontSize: buttonFontSize)),
        ),
      ),
    );
  }
}
