import 'package:flutter/material.dart';

class ColorButton extends StatefulWidget {
  final Function onPressed;
  final Color color;
  final String title;
  ColorButton(
      {required this.onPressed, required this.color, required this.title});

  @override
  _ColorButtonState createState() => _ColorButtonState();
}

class _ColorButtonState extends State<ColorButton> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sW = queryData.size.width;
    double sH = queryData.size.height;

    return ElevatedButton(
        onPressed: () => widget.onPressed(),
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.resolveWith<Color>(
            (Set<MaterialState> states) {
              return widget.color;
            },
          ),
        ),
        child: Text(
          widget.title,
          style: TextStyle(fontSize: sW * 0.03),
        ));
  }
}
