import 'package:flutter/material.dart';

class NavButton extends StatefulWidget {
  final Function onPressed;
  final String title;
  final String? subtitle;
  NavButton({required this.onPressed, required this.title, this.subtitle});

  @override
  _NavButtonState createState() => _NavButtonState();
}

class _NavButtonState extends State<NavButton> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sW = queryData.size.width;
    double sH = queryData.size.height;

    return ElevatedButton(
        style: ButtonStyle(backgroundColor:
            MaterialStateProperty.resolveWith<Color>(
                (Set<MaterialState> states) {
          return Color(0XFFB4B4B4).withOpacity(0.1);
        }), shadowColor: MaterialStateProperty.resolveWith<Color>(
            (Set<MaterialState> states) {
          return Colors.transparent;
        })),
        onPressed: () => widget.onPressed(),
        child: Container(
            width: sW * 0.94,
            child: Padding(
                padding: EdgeInsets.only(
                    left: sW * 0.06,
                    right: sW * 0.06,
                    top: sH * 0.03,
                    bottom: sH * 0.03),
                child: Row(children: [
                  Column(
                    mainAxisSize: MainAxisSize.min,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(widget.title,
                          style: TextStyle(
                              fontSize: sW * 0.04,
                              color: Colors.white.withOpacity(0.5))),
                      Text(widget.subtitle != null ? widget.subtitle! : '',
                          style: TextStyle(
                              fontSize:
                                  widget.subtitle != null ? sW * 0.025 : 0,
                              color: Colors.white.withOpacity(0.5)))
                    ],
                  ),
                  Spacer(),
                  Icon(Icons.arrow_forward_ios,
                      color: Colors.white, size: sW * 0.04)
                ]))));
  }
}
