import 'package:flutter/material.dart';

class NavHeader extends StatefulWidget {
  final String departmentName;
  NavHeader({required this.departmentName});

  @override
  _NavHeaderState createState() => _NavHeaderState();
}

class _NavHeaderState extends State<NavHeader> {
  void handleBackArrow() {
    Navigator.pop(context);
  }

  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sW = queryData.size.width;
    double sH = queryData.size.height;

    return Container(
        width: sW,
        height: sH * 0.08,
        child: Stack(children: [
          Container(
              height: sH * 0.08,
              child: Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  children: [
                    Text(widget.departmentName,
                        style:
                            TextStyle(color: Colors.white, fontSize: sW * 0.05))
                  ])),
          Container(
              height: sH * 0.08,
              child:
                  Row(crossAxisAlignment: CrossAxisAlignment.center, children: [
                IconButton(
                    icon: Icon(Icons.arrow_back_ios, color: Colors.white),
                    onPressed: () => handleBackArrow(),
                    iconSize: sW * 0.05)
              ]))
        ]));
  }
}
