import 'package:flutter/material.dart';

class RadioFWButton extends StatefulWidget {
  final Function onPressed;
  final String title;
  final String? subtitle;
  final bool activated;
  RadioFWButton(
      {required this.onPressed,
      required this.title,
      required this.subtitle,
      required this.activated});

  @override
  _RadioFWButtonState createState() => _RadioFWButtonState();
}

class _RadioFWButtonState extends State<RadioFWButton> {
  @override
  Widget build(BuildContext context) {
    MediaQueryData queryData = MediaQuery.of(context);
    double sW = queryData.size.width;
    double sH = queryData.size.height;

    return ElevatedButton(
        style: ButtonStyle(backgroundColor:
            MaterialStateProperty.resolveWith<Color>(
                (Set<MaterialState> states) {
          return widget.activated
              ? Theme.of(context).primaryColor
              : Color(0XFFB4B4B4).withOpacity(0.1);
        }), shadowColor: MaterialStateProperty.resolveWith<Color>(
            (Set<MaterialState> states) {
          return Colors.transparent;
        })),
        onPressed: () => widget.onPressed(),
        child: Container(
            width: sW * 0.94,
            child: Padding(
                padding: EdgeInsets.only(
                    left: sW * 0.06,
                    right: sW * 0.06,
                    top: sH * 0.03,
                    bottom: sH * 0.03),
                child: Row(children: [
                  Column(
                    mainAxisSize: MainAxisSize.min,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(widget.title,
                          style: TextStyle(
                              fontSize: sW * 0.04,
                              color: widget.activated
                                  ? Colors.white
                                  : Colors.white.withOpacity(0.5))),
                      Text(widget.subtitle != null ? widget.subtitle! : '',
                          style: TextStyle(
                              fontSize:
                                  widget.subtitle != null ? sW * 0.025 : 0,
                              color: widget.activated
                                  ? Colors.white
                                  : Colors.white.withOpacity(0.5)))
                    ],
                  ),
                  Spacer(),
                  Icon(Icons.check_circle,
                      color: widget.activated
                          ? Colors.white
                          : Colors.white.withOpacity(0.5),
                      size: sW * 0.06)
                ]))));
  }
}
